## deepin-calculator 1.0.2

=== debian/changelog ===
deepin-calculator (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * d/rules: Use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog.
  * d/rules: Add build dependency qttools5-dev-tools.
  * d/control: Use Salsa platform for Vcs field.
  * d/control: Update Standers-Version to 4.1.3.
  * d/compat: Swithch compat to level 11.
  * d/copyright: Use https for copyright-format-uri.
  * d/copyright: Add missing GPL2 license-paragraph.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 30 Mar 2018 12:50:46 +0800

deepin-calculator (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #883748)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 07 Dec 2017 14:42:27 +0800
