## deepin-calculator 1.0.6

=== debian/changelog ===
deepin-calculator (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6.
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 26 Aug 2018 16:06:25 -0400

deepin-calculator (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 03 Aug 2018 08:59:14 +0800

deepin-calculator (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
    + Update translations.

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 14 Jun 2018 08:56:23 +0800

deepin-calculator (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * d/contorl: Change maintainer field back to
    pkg-deepin-devel@lists.alioth.debian.org .

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 17 May 2018 11:40:34 +0800

deepin-calculator (1.0.2-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Add myself into uploaders list.
  * debian: Apply "wrap-and-sort -abst".
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Apr 2018 21:13:37 +0800
