=== debian/control ===
Source: deepin-calculator
Section: math
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 libdtkwidget-dev,
 libqt5svg5-dev,
 pkg-config,
 qt5-qmake,
 qttools5-dev-tools,
Standards-Version: 4.2.1
Homepage: https://github.com/linuxdeepin/deepin-calculator
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-calculator.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-calculator

Package: deepin-calculator
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Calculator for DDE (Deepin Desktop Environment)
 An easy to use calculator for ordinary users.
 .
 This package is part of DDE (Deepin Desktop Environment).
