## deepin-calculator 1.0.7

=== debian/changelog ===
deepin-calculator (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7. 
  * debian/control: Update my uploader email address and use the
    @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Oct 2018 09:53:18 -0400
