## deepin-calculator 1.0.9

=== debian/changelog ===
deepin-calculator (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Nov 2018 13:18:00 -0500
