## deepin-calculator 1.0.10

=== debian/changelog ===
deepin-calculator (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Dec 2018 23:44:23 -0500
