=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  Yanhao Mo <yanhaocs@gmail.com>,
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  libdtkwidget-dev,
  libqt5svg5-dev,
  pkg-config,
  qt5-qmake,
  qttools5-dev-tools,
+Rules-Requires-Root: no
 Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/deepin-calculator
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-calculator.git
