## deepin-calculator 5.0.1

=== debian/changelog ===
deepin-calculator (5.0.1-2) unstable; urgency=medium

  * debian/patches:
    + Add build fix with dtk5.
    + Add patch for lintian desktop-entry-lacks-keywords-entry.
  * debian/control:
    + Add Arun Kumar Pariyar to uploaders list.
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.1.
    + Tighten build dependency libdtkwidget-dev to (>=5.2~).
  * debian/upstream: Set upstream metadata fields Bug-Database,
    Bug-Submit, Repository, Repository-Browse.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 06 Dec 2020 16:55:08 +0545

deepin-calculator (5.0.1-1) unstable; urgency=medium

  * New upstream release 5.0.1.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Oct 2019 15:05:28 -0400
