=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
  Boyuan Yang <byang@debian.org>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
- debhelper-compat (= 11),
- libdtkwidget-dev,
+ debhelper-compat (= 13),
+ libdtkwidget-dev (>=5.2~),
  libqt5svg5-dev,
  pkg-config,
  qt5-qmake,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-calculator
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-calculator.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-calculator
