## deepin-calculator 5.6.0.10

=== debian/changelog ===
deepin-calculator (5.6.0.10-2) unstable; urgency=medium

  * Source-only rebuild.
  * debian/control:
    + Add qinxialei to Uploaders.
  * debian/copyright:
    + Add License about tests/third_party/*.

 -- qinxialei <xialeiqin@gmail.com>  Sat, 30 Jan 2021 10:20:30 +0800

deepin-calculator (5.6.0.10-1) unstable; urgency=medium

  [Clay Stan]
  *New upstream release 5.6.0.10.
  [Tu Qinggang]
  *debian/control:
   + Add Tu Qinggang to Uploaders.
   + Add Clay Stan to Uploaders.
  *debian/patches:
   + Add 01-add-qt-header.patch for fix qtbase5.15 update.

 -- Clay Stan <claystan97@gmail.com>  Mon, 25 Jan 2021 14:05:58 +0800

deepin-calculator (5.5.17-1~exp1) experimental; urgency=medium

  * New upstream release 5.5.17.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
    + Add libdtkgui-dev to Build-Depends.
    + Add Arun Kumar Pariyar to Uploaders.
  * debian/copyright:
    + Updated Files path.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Tue, 23 Jun 2020 01:23:10 +0545
