=== debian/control ===
--- 
+++ 
@@ -7,13 +7,19 @@
  Yanhao Mo <yanhaocs@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Tu Qinggang <tuqinggang@uniontech.com>,
+ Clay Stan <claystan97@gmail.com>,
+ qinxialei <xialeiqin@gmail.com>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- libdtkwidget-dev (>=5.2~),
+ libdtkgui-dev,
+ libdtkwidget-dev,
  libqt5svg5-dev,
  pkg-config,
- qt5-qmake,
  qttools5-dev-tools,
+ qtbase5-dev,
+ libdframeworkdbus-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-calculator
