=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,15 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export QT_SELECT = 5
+export QT_SELECT := 5
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION)"
+	dh_auto_configure -- \
+	  -DCMAKE_BUILD_TYPE=Release \
+	  -DAPP_VERSION=$(DEB_VERSION) -DVERSION=$(DEB_VERSION) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+
+override_dh_missing:
+	dh_missing --fail-missing
