## deepin-calculator 5.7.12

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
 
+ADD_COMPILE_OPTIONS(-fno-access-control)
+
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -18,7 +20,7 @@
 set(QT_MINIMUM_VERSION "5.7.1")
 set(CMAKE_EXE_LINKER_FLAGS "-pie")
 
-add_definitions(-DQT_NO_DEBUG_OUTPUT)
+#add_definitions(-DQT_NO_DEBUG_OUTPUT)
 
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
@@ -78,37 +80,38 @@
 SET(HEAD ${CMAKE_CURRENT_LIST_DIR}/../src
          ${CMAKE_CURRENT_LIST_DIR}/../src/bak
          ${CMAKE_CURRENT_LIST_DIR}/../src/control
-         ${CMAKE_CURRENT_LIST_DIR}/../src/core
-         ${CMAKE_CURRENT_LIST_DIR}/../src/math
+         ${CMAKE_CURRENT_LIST_DIR}/../3rdparty/core
+         ${CMAKE_CURRENT_LIST_DIR}/../3rdparty/math
          ${CMAKE_CURRENT_LIST_DIR}/../src/views
          ${CMAKE_CURRENT_LIST_DIR}/../src/widgets
          )
 
 file(GLOB_RECURSE CAL_H ${CMAKE_CURRENT_LIST_DIR}/../src/*.h)
+file(GLOB_RECURSE CAL_C ${CMAKE_CURRENT_LIST_DIR}/../src/*.c)
+file(GLOB_RECURSE CAL_CPP ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp)
+file(GLOB_RECURSE CAL_3rdH ${CMAKE_CURRENT_LIST_DIR}/../3rdparty/*.h)
+file(GLOB_RECURSE CAL_3rdC ${CMAKE_CURRENT_LIST_DIR}/../3rdparty/*.c)
+file(GLOB_RECURSE CAL_3rdCPP ${CMAKE_CURRENT_LIST_DIR}/../3rdparty/*.cpp)
+list(REMOVE_ITEM CAL_CPP "${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp")
 
-file(GLOB_RECURSE CAL_C ${CMAKE_CURRENT_LIST_DIR}/../src/*.c)
-
-file(GLOB_RECURSE CAL_CPP ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp)
-list(REMOVE_ITEM CAL_CPP "${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp")
 file(GLOB_RECURSE CAL_TEST ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
 file(GLOB_RECURSE CAL_TESTH ${CMAKE_CURRENT_LIST_DIR}/src/*.h)
-include_directories(third_party)                           #一下三行添加包含以便测试用例代码的编写
-include_directories(third_party/googlemock/include)
-include_directories(third_party/googletest/include)
-add_subdirectory(third_party)                              #添加googletest库
+
+find_package(GTest REQUIRED)
+include_directories(${GTEST_INCLUDE_DIRS})
 
 set (DC_QRC_FILES
     ${CMAKE_CURRENT_LIST_DIR}/../src/deepin-calculator.qrc
 )
 
 set(PROJECT_NAME_TEST
-    ${PROJECT_NAME}_test)
+    ${PROJECT_NAME}-test)
 
 # 生成测试可执行程序
-add_executable(${PROJECT_NAME_TEST} ${CAL_H} ${CAL_C} ${CAL_CPP} ${CAL_TEST} ${CAL_TESTH})
+add_executable(${PROJECT_NAME_TEST} ${CAL_H} ${CAL_C} ${CAL_CPP} ${CAL_3rdH} ${CAL_3rdC} ${CAL_3rdCPP} ${CAL_TEST} ${CAL_TESTH})
 
 # 生成测试可执行程序的依赖库
-target_link_libraries(${PROJECT_NAME_TEST} gmock gmock_main gtest gtest_main)
+target_link_libraries(${PROJECT_NAME_TEST} ${GTEST_LIBRARYS} ${GTEST_MAIN_LIBRARYS} gmock gmock_main gtest gtest_main pthread)
 
 target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${Qt5Widgets_LIBRARIES}
                                               ${Qt5DBus_LIBRARIES}
@@ -118,6 +121,7 @@
                                               ${DtkCore_LIBRARIES}
                                               ${DtkGUI_INCLUDE_DIRS}
                                               ${DFrameworkDBus_INCLUDE_DIRS}
+                                              ${GTEST_INCLUDE_DIRS}
                                               ${HEAD})
 target_link_libraries (${PROJECT_NAME_TEST} ${LINK_LIBS})
 
@@ -131,37 +135,40 @@
 install(FILES ${CMAKE_CURRENT_LIST_DIR}/../src/assets/images/deepin-calculator.svg
             DESTINATION share/icons/hicolor/scalable/apps/)
 
+
 #------------------------------ 创建'make test'指令---------------------------------------
 add_custom_target(test
-    COMMAND mkdir -p tests/coverageResult
-    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
+#    COMMAND mkdir -p tests/coverageResult
+#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+)
 
 add_custom_command(TARGET test
     COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "
 
     #1.清理原先的gcov信息
-    COMMAND lcov --directory ./tests/CMakeFiles/${PROJECT_NAME_TEST}.dir --zerocounters
-    COMMAND lcov --directory ./tests/CMakeFiles/${PROJECT_NAME}.dir --zerocounters
-    COMMAND ./tests/${PROJECT_NAME_TEST}
+#    COMMAND lcov --directory ./tests/CMakeFiles/${PROJECT_NAME_TEST}.dir --zerocounters
+#    COMMAND lcov --directory ./tests/CMakeFiles/${PROJECT_NAME}.dir --zerocounters
+    COMMAND ${CMAKE_BINARY_DIR}/tests/${PROJECT_NAME_TEST}
+
 
     #2.收集gcov信息到.info文件中
-    COMMAND lcov --directory . --capture --output-file ./tests/coverageResult/${PROJECT_NAME}_Coverage.info
+#    COMMAND lcov --directory . --capture --output-file ./tests/coverageResult/${PROJECT_NAME}_Coverage.info
 
     #3.过滤一些我们不感兴趣的文件的覆盖率信息
-    COMMAND echo " =================== do filter begin ==================== "
-    COMMAND lcov --remove ./tests/coverageResult/${PROJECT_NAME}_Coverage.info
-    '*/${PROJECT_NAME_TEST}_autogen/*' '*/${PROJECT_NAME}_autogen/*' '*/tests/*' '*/googletest/*' '*/usr/include/*' '*/src/bak/*' '*/src/core/*' '*/src/math/*'
-    -o ./tests/coverageResult/${PROJECT_NAME}_Coverage.info
-    COMMAND echo " =================== do filter end ==================== "
+#    COMMAND echo " =================== do filter begin ==================== "
+#    COMMAND lcov --remove ./tests/coverageResult/${PROJECT_NAME}_Coverage.info
+#    '*/${PROJECT_NAME_TEST}_autogen/*' '*/${PROJECT_NAME}_autogen/*' '*/tests/*' '*/googletest/*' '*/usr/include/*' '*/src/bak/*' '*/src/core/*' '*/src/math/*'
+#    -o ./tests/coverageResult/${PROJECT_NAME}_Coverage.info
+#    COMMAND echo " =================== do filter end ==================== "
 
     #3.将.info信息生成报告到reprot文件夹中
-    COMMAND genhtml -o ./tests/coverageResult/report ./tests/coverageResult/${PROJECT_NAME}_Coverage.info
+#    COMMAND genhtml -o ./tests/coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage.info
 
     COMMAND echo " =================== CREAT LCOV REPROT END ==================== "
 
-    COMMAND echo " Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "
+#    COMMAND echo " Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "
 
-    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
     )
 
 #'make test'命令依赖与我们的测试程序
@@ -169,3 +176,13 @@
 
 # 设置添加gocv相关信息的输出
 set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
+set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
+if(CMAKE_SAFETYTEST STREQUAL "")
+    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
+endif()
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
+if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
+  #安全测试选项
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
+endif()
