=== debian/changelog ===
deepin-calculator (5.7.12-3) unstable; urgency=medium

  * debian/rules: skip dh_auto_test for ftbfs archs.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Wed, 16 Mar 2022 13:36:43 +0545

deepin-calculator (5.7.12-2) unstable; urgency=medium

  * debian/patches: fix ftbfs in buildds due to failed test.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Tue, 15 Mar 2022 02:27:32 +0545

deepin-calculator (5.7.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Arun Kumar Pariyar ]
  * New upstream release 5.7.12.
  * debian/rules: Enable bindnow hardening flag.
  * debian/copyright: Update copyright information.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Update build dependencies.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 10 Mar 2022 19:20:24 +0545
