=== debian/changelog ===
deepin-calculator (5.7.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 26 Jan 2022 09:16:36 +0800

deepin-calculator (0.1-1) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800
