=== debian/changelog ===
deepin-calculator (5.7.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 16 May 2022 10:23:00 +0800
