=== debian/changelog ===
deepin-calculator (5.7.21-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:17 +1100

deepin-calculator (5.7.21-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:11:50 +0000

deepin-calculator (5.7.21-2) unstable; urgency=medium

  * debian/patches: Fix ftbfs by removing
    explicit cxx11. (Closes: #1041080)
  * debian/control:
    + Bump standard version to 4.6.2.
    + Add myself to uploaders list.

 -- Nisha Pariyar <nishapariyar48@gmail.com>  Wed, 19 Jul 2023 00:58:39 +0545

deepin-calculator (5.7.21-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/patches/0002: Add patch to avoid CMAKE_CXX_FLAGS override.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 16:06:31 -0400
