=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: deepin-calculator
 Section: math
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -10,18 +11,22 @@
  Tu Qinggang <tuqinggang@uniontech.com>,
  Clay Stan <claystan97@gmail.com>,
  qinxialei <xialeiqin@gmail.com>,
+ Nisha Pariyar <nishapariyar48@gmail.com>,
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ lcov,
+ libdframeworkdbus-dev,
  libdtkgui-dev,
  libdtkwidget-dev,
+ libgmock-dev,
+ libgtest-dev,
  libqt5svg5-dev,
  pkg-config,
+ qtbase5-dev,
  qttools5-dev-tools,
- qtbase5-dev,
- libdframeworkdbus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/linuxdeepin/deepin-calculator
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-calculator.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-calculator
