## deepin-calculator 5.7.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 #最外层一个工程，单项目中不添加工程，只添加执行文件
 project(deepin-calculator)
+
+include(GNUInstallDirs)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
 
@@ -49,19 +51,11 @@
 configure_file(src/environments.h.in environments.h @ONLY)
 
 # Find the library
+find_package(Qt5 REQUIRED Core Gui Widgets DBus Xml Svg Test)
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(Qt5Svg REQUIRED)
-find_package(Qt5Test REQUIRED)
-
-find_package(DtkWidget REQUIRED dtkwidget)
-find_package(DtkGui REQUIRED dtkgui)
-find_package(DtkCore REQUIRED dtkcore)
-#find_package(DFrameworkDbus REQUIRED dframeworkdbus)
+pkg_check_modules(DtkWidget REQUIRED dtkwidget)
+pkg_check_modules(DtkGui REQUIRED dtkgui)
+pkg_check_modules(DtkCore REQUIRED dtkcore)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 
 include_directories(${DtkWidget_INCLUDE_DIRS})
@@ -116,20 +110,25 @@
 
 target_link_libraries (${EXE_NAME} ${LINK_LIBS})
 
-set(CMAKE_INSTALL_PREFIX /usr)
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif ()
 
-install(TARGETS deepin-calculator DESTINATION bin)
+install(TARGETS deepin-calculator DESTINATION ${CMAKE_INSTALL_BINDIR})
 file(GLOB QM_FILES "${CMAKE_CURRENT_LIST_DIR}/translations/*.qm")
-install(FILES ${QM_FILES} DESTINATION share/deepin-calculator/translations)
+install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-calculator/translations)
 install(FILES ${CMAKE_CURRENT_LIST_DIR}/deepin-calculator.desktop
-        DESTINATION share/applications/)
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/)
 install(FILES ${CMAKE_CURRENT_LIST_DIR}/src/assets/images/deepin-calculator.svg
-            DESTINATION share/icons/hicolor/scalable/apps/)
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps/)
 install(DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/src/assets/deepin-calculator
-                DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+                DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
 
 #if (NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch64")
+option (BUILD_TESTING "" ON)
+if (BUILD_TESTING)
 add_subdirectory(tests)  #tests为ut测试文件夹名
+endif ()
 #endif ()
