=== debian/changelog ===
deepin-calculator (5.7.22-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 17 Nov 2022 10:39:21 +0800

deepin-calculator (1.0.0) unstable; urgency=medium

  * New version 1.0.0.

 -- xiepengfei <xiepengfei@uniontech.com>  Thur, 14 Jul 2022 14:27:00 +0800
