=== debian/control ===
Source: deepin-calculator
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper (>= 9),cmake ,pkg-config, libdtkgui-dev, libdtkwidget-dev, libqt5svg5-dev, qttools5-dev-tools, libdframeworkdbus-dev, libgtest-dev, libgmock-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-calculator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uos-reporter, deepin-event-log
Description: Calculator for UOS
 Calculator is a simple and easy-to-use desktop calculator. It supports addition, subtraction, multiplication and division with keyboard input perfectly matched, as well as symbolic fault-tolerant computing and calculation result linkage.
