## deepin-calculator 6.0.1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -45,16 +45,27 @@
 configure_file(${CMAKE_CURRENT_LIST_DIR}/../src/environments.h.in environments.h @ONLY)
 
 # Find the library
-find_package(Qt5 REQUIRED Core Gui Widgets DBus Xml Svg Test)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(DtkWidget REQUIRED dtkwidget)
-pkg_check_modules(DtkGui REQUIRED dtkgui)
-pkg_check_modules(DtkCore REQUIRED dtkcore)
-pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
+find_package(Qt5Widgets REQUIRED)
+find_package(Qt5Core REQUIRED)
+find_package(Qt5Gui REQUIRED)
+find_package(Qt5DBus REQUIRED)
+find_package(Qt5Xml REQUIRED)
+find_package(Qt5Svg REQUIRED)
+find_package(Qt5Test REQUIRED)
+
+find_package(DtkWidget REQUIRED dtkwidget)
+find_package(DtkGui REQUIRED dtkgui)
+find_package(DtkCore REQUIRED dtkcore)
 
 include_directories(${DtkWidget_INCLUDE_DIRS})
 include_directories(${DtkGui_INCLUDE_DIRS})
 include_directories(${DtkCore_INCLUDE_DIRS})
+
+pkg_check_modules(GTEST REQUIRED
+    gtest
+    gmock
+    )
 
 set (EXE_NAME deepin-calculator)
 
@@ -93,7 +104,7 @@
 file(GLOB_RECURSE CAL_TEST ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
 file(GLOB_RECURSE CAL_TESTH ${CMAKE_CURRENT_LIST_DIR}/src/*.h)
 
-find_package(GTest REQUIRED)
+#find_package(GTest REQUIRED)
 include_directories(${GTEST_INCLUDE_DIRS})
 
 set (DC_QRC_FILES
@@ -121,7 +132,12 @@
                                               ${HEAD})
 target_link_libraries (${PROJECT_NAME_TEST} ${LINK_LIBS})
 
-set(CMAKE_INSTALL_PREFIX /usr)
+#set(CMAKE_INSTALL_PREFIX /usr)
+if(DEFINED ENV{PREFIX})
+    set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif()
 
 install(TARGETS deepin-calculator DESTINATION bin)
 file(GLOB QM_FILES "${CMAKE_CURRENT_LIST_DIR}/../translations/*.qm")
