## deepin-calculator 6.5.2

=== debian/changelog ===
deepin-calculator (6.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Dec 2024 19:31:33 -0500

deepin-calculator (6.0.1-1) unstable; urgency=medium

  * New upstream release.

  [ Raju Devidas ]
  * Update names of authors for different files in d/copyright
  * Added link time optimization flag in d/rules (Closes: #1015382)

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Dec 2024 19:21:34 -0500
